## uwsgi 0.9.8

=== Makefile ===
all:
	python uwsgiconfig.py --build

=== debian/changelog ===
uwsgi (0.9.8-2) unstable; urgency=low

  * Resolve package building issues on some architectures:
    - exclude uwsgi-plugin-luajit from building on armel architecture.
      Build-Dependency libluajit-5.1-dev doesn't available on armel,
      bug #630814 was filed.
    - remove Build-Dependency on libsctp-dev.
      Build-Dependency on libsctp-dev prevents packages from building on
      architectures kfreebsd-i386, kfreebsd-amd64, hurd-i386.
      SCTP build option doesn't handled by uWSGI build configuration since
      20 Oct 2010 (Mercurial changeset f1841e46cd29). So Build-Dependency on
      libsctp-dev could be safely discarded without loss of any uWSGI
      features.
    - restrict set of uwsgi-plugin-greenlet-python architectures to
      amd64, i386, mips, powerpc, s390 (where python-greenlet and
      python-greenlet-dev packages are available).

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Fri, 17 Jun 2011 22:51:01 +0300

uwsgi (0.9.8-1) unstable; urgency=low

  * Initial release. (Closes: #582864)

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Mon, 13 Jun 2011 23:51:44 +0300

=== debian/control ===
Source: uwsgi
Section: web
Priority: extra
Maintainer: Leonid Borisenko <leo.borisenko@gmail.com>
Build-Depends:
 cdbs,
 debhelper (>= 8),
 apache2-threaded-dev,
 erlang-dev,
 help2man,
 javahelper,
 libapr1-dev,
 libaprutil1-dev,
 libjansson-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 libluajit-5.1-dev [i386 amd64 kfreebsd-i386],
 libperl-dev,
 libsqlite3-dev,
 libxml2-dev,
 libyaml-dev,
 libzmq-dev,
 pkg-config,
 python,
 python-all-dev,
 python-greenlet-dev [amd64 i386 mips powerpc s390],
 python3-all-dev,
 openjdk-6-jdk,
 ruby1.8,
 ruby1.8-dev,
 ruby1.9.1,
 ruby1.9.1-dev,
 uuid-dev
Standards-Version: 3.9.2
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: git://git.debian.org/collab-maint/uwsgi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uwsgi.git

Package: uwsgi
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 lsb-base
Recommends: sqlite3
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package installs uWSGI core binary and:
   * init.d script for running uWSGI daemon(s) with options defined in custom
     user-created configuration files
   * infrastructure for running daemons (like common locations of communication
     sockets, logs)

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, uwsgi-core (= ${binary:Version})
Suggests: uwsgi-plugins-all
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: nginx-full | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-plugins-all, uwsgi-extra
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides:
   * executable uWSGI core binary (built without any embedded plugins)
   * uWSGI usage examples
   * uWSGI test suite

Package: uwsgi-plugins-all
Architecture: any
Depends: ${misc:Depends},
 uwsgi-infrastructure-plugins (= ${binary:Version}),
 uwsgi-app-integration-plugins (= ${binary:Version}),
 uwsgi-plugin-fiber (= ${binary:Version}),
 uwsgi-plugin-greenlet-python (= ${binary:Version})
   [amd64 i386 mips powerpc s390],
 uwsgi-plugin-pyerl-python (= ${binary:Version}),
 uwsgi-plugin-pyerl-python3 (= ${binary:Version}),
 uwsgi-plugin-ugreen (= ${binary:Version})
Description: all available plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides all available plugins for uWSGI:
   * infrastructure plugins (fastrouter, HTTP serving, RPC, etc.)
   * plugins for integration of uWSGI and application (CGI, PSGI, Rack, WSGI,
     etc.)
   * fiber loop engine, greenlet (Python), pyerl (Python/Python 3), uGreen

Package: uwsgi-infrastructure-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-admin (= ${binary:Version}),
 uwsgi-plugin-cache (= ${binary:Version}),
 uwsgi-plugin-echo (= ${binary:Version}),
 uwsgi-plugin-fastrouter (= ${binary:Version}),
 uwsgi-plugin-http (= ${binary:Version}),
 uwsgi-plugin-nagios (= ${binary:Version}),
 uwsgi-plugin-ping (= ${binary:Version}),
 uwsgi-plugin-rpc (= ${binary:Version})
Description: infrastructure plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides infrastructure plugins for uWSGI:
   * admin, cache, echo, fastrouter, HTTP serving, Nagios, ping, RPC

Package: uwsgi-app-integration-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-cgi (= ${binary:Version}),
 uwsgi-plugin-erlang (= ${binary:Version}),
 uwsgi-plugin-jvm-openjdk-6 (= ${binary:Version}),
 uwsgi-plugin-jwsgi-openjdk-6 (= ${binary:Version}),
 uwsgi-plugin-lua5.1 (= ${binary:Version}),
 uwsgi-plugin-luajit (= ${binary:Version}) [i386 amd64 kfreebsd-i386],
 uwsgi-plugin-psgi (= ${binary:Version}),
 uwsgi-plugin-python (= ${binary:Version}),
 uwsgi-plugin-python3 (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.8 (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.9.1 (= ${binary:Version})
Description: plugins for integration of uWSGI and application
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides plugins for integration of uWSGI and
 application:
   * CGI, Erlang, Java (OpenJDK 6), JWSGI (OpenJDK 6),
     Lua WSAPI (Lua 5.1/LuaJIT), Perl PSGI, Python WSGI (Python/Python 3),
     Rack (Ruby 1.8/Ruby 1.9.1)

Package: uwsgi-plugin-admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: admin plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides admin plugin for uWSGI.

Package: uwsgi-plugin-cache
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: cache plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides cache plugin for uWSGI.

Package: uwsgi-plugin-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: CGI plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides CGI plugin for uWSGI.

Package: uwsgi-plugin-echo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: echo plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides echo plugin for uWSGI.

Package: uwsgi-plugin-erlang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: Erlang plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides Erlang plugin for uWSGI.

Package: uwsgi-plugin-fastrouter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: fastrouter plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides fastrouter plugin for uWSGI.

Package: uwsgi-plugin-fiber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.9.1 (= ${binary:Version})
Description: fiber loop engine plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides Ruby 1.9 fiber loop engine plugin for uWSGI. Fibers are
 a form of coroutine, useful for implementing cooperative multitasking in your
 Ruby 1.9.x apps.

Package: uwsgi-plugin-greenlet-python
Architecture: amd64 i386 mips powerpc s390
Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet,
 uwsgi-plugin-python (= ${binary:Version})
Description: greenlet plugin for uWSGI (Python)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides greenlet plugin for uWSGI with Python WSGI plugin.

Package: uwsgi-plugin-http
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: HTTP server plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

# Common variables
# ================

PYTHON=/usr/bin/python
APXS2=/usr/bin/apxs2
APR_CONFIG=/usr/bin/apr-config
APU_CONFIG=/usr/bin/apu-config
UWSGI_BUILDER = $(CURDIR)/uwsgiconfig.py

# Dotted versions of Python runtimes (like 'X.Y').
PYTHON_VERS_DOTTED=$(shell pyversions -vs)
PYTHON_DEFAULT_DOTTED=$(shell pyversions -dv)
PYTHON3_VERS_DOTTED=$(shell py3versions -vs)
PYTHON3_DEFAULT_DOTTED=$(shell py3versions -dv)

# Dotless versions of Python runtimes (like 'XY').
PYTHON_VERS=$(subst .,,$(PYTHON_VERS_DOTTED))
PYTHON_DEFAULT=$(subst .,,$(PYTHON_DEFAULT_DOTTED))
PYTHON3_VERS=$(subst .,,$(PYTHON3_VERS_DOTTED))
PYTHON3_DEFAULT=$(subst .,,$(PYTHON3_DEFAULT_DOTTED))

# Search in debian/control for packages with name $(1)% and extract % in list.
list_pkgname_suffixes = $(strip \
	$(shell \
		grep "^Package: $(1)" $(CURDIR)/debian/control \
		| sed 's/Package: $(1)//' \
	) \
)

# Transform plugin's package name to plugin's name:
# * delete dots
# * replace '-' with '_'
# * replace 'openjdk_6' with 'openjdk6'
pkg_name_to_plugin_name = $(strip \
	$(subst openjdk_6,openjdk6,$(subst -,_,$(subst .,,$(1))) \
))

# List of plugins' packages names (without common prefix 'uwsgi-plugin-')
UWSGI_PLUGIN_PKGS_NAMES = $(call list_pkgname_suffixes,uwsgi-plugin-)

# List of plugins' names
UWSGI_PLUGINS_NAMES = $(call \
	pkg_name_to_plugin_name, $(UWSGI_PLUGIN_PKGS_NAMES))

UWSGI_PLUGINS_SRC_DIR = plugins

UWSGI_PLUGIN_PYTHON_PKG_KINDS = python python3

PARTICULARLY_BUILT_UWSGI_PLUGIN_PKGS = \
	$(UWSGI_PLUGIN_PYTHON_PKG_KINDS) \
	greenlet-python \
	jvm-openjdk-6 jwsgi-openjdk-6 \
	lua5.1 luajit \
	$(patsubst %,pyerl-%,$(UWSGI_PLUGIN_PYTHON_PKG_KINDS)) \
	rack-ruby1.8 rack-ruby1.9.1 fiber

ORDINARILY_BUILT_UWSGI_PLUGIN_PKGS := $(filter-out \
	$(PARTICULARLY_BUILT_UWSGI_PLUGIN_PKGS), $(UWSGI_PLUGIN_PKGS_NAMES))

# List of packaged Apache2 modules' names
LIBAPACHE2_MODS_NAMES = uwsgi ruwsgi

ruwsgi_to_orig = $(subst ruwsgi,Ruwsgi,$(1))

# List of templates to instantiate for each libapache2-mod-X package
# There is special-case template, not listed here: uwsgi.load
LIBAPACHE2_MOD_PKG_TEMPLATES = install postinst prerm

UWSGI_CORE_DOCS_STAGING_DIR = $(CURDIR)/debian/uwsgi-core-docs-staging

# Discards directory-part of target and returns substring after last '-'
# character
target_name_tail = $(lastword $(subst -, ,$(notdir $(1))))

# From something like:
#   $(call <...>, uwsgi-, $(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .dirs)
# makes list:
#   $(CURDIR)/debian/uwsgi-python.dirs $(CURDIR)/debian/uwsgi-python3.dirs
files_instantiated_in_debian_dir = $(addprefix \
	$(CURDIR)/debian/$(strip $(1)), $(addsuffix $(strip $(3)), $(strip $(2))) \
)

# CDBS-specific variables
# =======================

DEB_COMPRESS_EXCLUDE_uwsgi-core = .ini .lua .pl .png .psgi .py .ru .ws .xml \
                                  .yml
DEB_COMPRESS_EXCLUDE_uwsgi-extra = .class .java .rb .c

DEB_DH_STRIP_ARGS_uwsgi-core := --dbg-package=uwsgi-dbg
$(foreach PLUGIN_PKG_NAME, $(UWSGI_PLUGIN_PKGS_NAMES), $(eval \
	DEB_DH_STRIP_ARGS_uwsgi-plugin-$(PLUGIN_PKG_NAME) := --dbg-package=uwsgi-dbg\
))

# Rules
# =====

clean::
	# uWSGI executable binaries
	$(RM) $(CURDIR)/uwsgi-core $(CURDIR)/uwsgi-core-local
	for PLUGIN_NAME in $(UWSGI_PLUGINS_NAMES); do \
		$(RM) $(CURDIR)/uwsgi_$${PLUGIN_NAME}; \
	done
	for PYTHON_VERSION in $(PYTHON_VERS) $(PYTHON3_VERS); do \
		$(RM) $(CURDIR)/uwsgi_python$${PYTHON_VERSION}; \
	done
	# intermediate compiled files
	find $(CURDIR) \
		\! -path '$(CURDIR)/debian/*' \( -name '*.o' -o -name '*.pyc' \) -type f \
		-delete
	# plugins
	for PLUGIN_NAME in $(UWSGI_PLUGINS_NAMES); do \
		$(RM) $(CURDIR)/$${PLUGIN_NAME}_plugin.so; \
	done
	for PYVER in $(PYTHON_VERS) $(PYTHON3_VERS); do \
		$(RM) \
			$(CURDIR)/greenlet_python$${PYVER}_plugin.so \
			$(CURDIR)/pyerl_python$${PYVER}_plugin.so \
			$(CURDIR)/python$${PYVER}_plugin.so; \
	done
	# compiled Apache2 modules
	$(RM) -r $(CURDIR)/apache2/.libs
	$(RM) -r $(addprefix $(CURDIR)/apache2/mod_, \
		$(foreach module_name, $(LIBAPACHE2_MODS_NAMES), \
			$(addprefix $(call ruwsgi_to_orig, $(module_name)), .la .lo .slo) \
	))
	# instantiated build configurations
	$(RM) $(CURDIR)/debian/buildconf/uwsgi-plugin.ini
	# staging directory of uwsgi-core documentation
	$(RM) -r $(UWSGI_CORE_DOCS_STAGING_DIR)
	# instantiated uwsgi-plugin-X templates
	$(RM) $(call files_instantiated_in_debian_dir, \
		uwsgi-plugin-, $(filter-out jwsgi-openjdk-6, $(UWSGI_PLUGIN_PKGS_NAMES)), \
		.install \
	)
	for TEMPLATE_TYPE in links manpages postinst prerm; do \
		for INSTANTIATED_TEMPLATE in $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-, \
			$(ORDINARILY_BUILT_UWSGI_PLUGIN_PKGS) \
				lua5.1 luajit rack-ruby1.8 rack-ruby1.9.1, \
			.$${TEMPLATE_TYPE} \
		); do \
			if [ -f $(CURDIR)/debian/uwsgi-plugin.$${TEMPLATE_TYPE}.in ]; then \
				$(RM) $${INSTANTIATED_TEMPLATE}; \
			fi; \
		done; \
	done
	for TEMPLATE_TYPE in dirs links manpages postinst prerm; do \
		$(RM) $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-, $(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .$${TEMPLATE_TYPE} \
		); \
		$(RM) $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-pyerl-, \
			$(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .$${TEMPLATE_TYPE} \
		); \
	done
	for TEMPLATE_TYPE in postinst prerm; do \
		$(RM) $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-greenlet-, \
			$(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .$${TEMPLATE_TYPE} \
		); \
	done
	for TEMPLATE_TYPE in links manpages; do \
		$(RM) $(CURDIR)/debian/uwsgi-plugin-jvm-openjdk-6.$${TEMPLATE_TYPE}; \
	done
	# instantiated libapache2-mod-X templates
	for TEMPLATE_TYPE in $(LIBAPACHE2_MOD_PKG_TEMPLATES); do \
		$(RM) $(call files_instantiated_in_debian_dir, \
			libapache2-mod-, $(LIBAPACHE2_MODS_NAMES), .$${TEMPLATE_TYPE} \
		); \
	done
	$(RM) $(addprefix $(CURDIR)/debian/, \
		$(foreach module_name, $(LIBAPACHE2_MODS_NAMES), \
			$(addsuffix .load,  $(call ruwsgi_to_orig, $(module_name))) \
	))
	# generated manpages
	$(RM) $(CURDIR)/debian/uwsgi-core.1
	$(RM) $(call files_instantiated_in_debian_dir, \
		uwsgi_, $(UWSGI_PLUGINS_NAMES), .1 \
	)
	$(RM) $(call files_instantiated_in_debian_dir, \
		uwsgi_python, $(PYTHON_VERS) $(PYTHON3_VERS), .1 \
	)
	# stampfiles
	$(RM) $(CURDIR)/debian/stamp-*

# uwsgi package
# -------------

binary-post-install/uwsgi::
	for SUBDIR in apps-available apps-enabled; do \
		cp \
			$(CURDIR)/debian/uwsgi.etc.$${SUBDIR}.README \
			$(CURDIR)/debian/$(cdbs_curpkg)/etc/$(cdbs_curpkg)/$${SUBDIR}/README; \
	done

# uwsgi-core package
# ------------------

build/uwsgi-core:: uwsgi-core

uwsgi-core:
	$(PYTHON) $(UWSGI_BUILDER) \
		--build $(CURDIR)/debian/buildconf/uwsgi-core.ini

install/uwsgi-core::
	test -e $(UWSGI_CORE_DOCS_STAGING_DIR) \
		|| mkdir $(UWSGI_CORE_DOCS_STAGING_DIR)
	cp -r $(CURDIR)/tests $(UWSGI_CORE_DOCS_STAGING_DIR)
	for SUBDIR in conffile jwsgi psgi rack router wsapi wsgi; do \
		mkdir -p $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/$${SUBDIR}; \
	done
	for FILE in logo_uWSGI.png mongrel2-uwsgi.conf myadmin.py simple_logger.py \
	            staticfilesnmp.py testsignals.py ugreenchat.py uwsgistatus.py \
	            websockets.py welcome.py; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples; \
	done
	for FILE in mega.xml multi.ini multi.xml sites.xml uwsgi.xml \
	            werkzeug_strict.yml werkzeug.js werkzeug.yml; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile; \
	done
	cp -r $(CURDIR)/vassals $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile
	for FILE in utest.java; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/jwsgi; \
	done
	for FILE in config.ru config2.ru fibers.ru fibers.yml; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/rack; \
	done
	for FILE in router.lua uwsgirouter.py uwsgirouter2.py uwsgirouter3.py \
	            uwsgirouter4.py uwsgirouter5.py; do \

## uwsgi 0.9.8.1

=== debian/changelog ===
uwsgi (0.9.8.1-1) unstable; urgency=low

  * New upstream version (0.9.8.1)
  * d/patches:
    - refresh
      apply_GCC_no_strict_aliasing_option_only_to_python_plugin_building.patch
    - remove obsolete (applied by upstream):
      - fix_automagical_plugin_loading.patch
      - fix_inherit_option_behavior.patch
      - fix_usage_of_proto_write_in_echo_plugin.patch
      - support_magic_variables_for_sqlite_config.patch
  * Add python-uwsgidecorators/python3-uwsgidecorators binary packages:
    - uwsgidecorators is a simple Python module that exports a bunch of
      decorators to allow a more elegant approach to uWSGI API. Provided
      decorators helps with creating of RPC functions, timers, filemonitors.
    - d/source.lintian-overrides has been added to override false positive
      warning of dh_python-is-obsolete
  * d/uwsgi-plugin-greenlet-python.prerm.in:
    - correct error in name of alternatives link group
      (replace 'uwsgi-plugin-greenlet' with 'uwsgi-plugin-greenlet-python')
      so as to fix process of uwsgi-plugin-greenlet-python package
      uninstallation (and pass piuparts test)
  * Make use of /run directory instead of /var/run:
    - it is backward-compatible change, as /var/run is symlinked to /run
    - /run is a new cross-distribution location for the storage of transient
      writable files needed from system startup to shutdown, but which do not
      require preserving across reboots. It has been appeared in Debian with
      initscripts upgrade to 2.88dsf-13.3.

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Sun, 26 Jun 2011 01:01:06 +0300

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Architecture: any
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
- lsb-base
+ lsb-base, initscripts (>= 2.88dsf-13.3)
 Recommends: sqlite3
 Description: fast, self-healing application container server
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -280,4 +280,3 @@
 Description: HTTP server plugin for uWSGI
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
- It is designed to be fully modular. This means that different plugins can be

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,14 @@
 PYTHON_DEFAULT=$(subst .,,$(PYTHON_DEFAULT_DOTTED))
 PYTHON3_VERS=$(subst .,,$(PYTHON3_VERS_DOTTED))
 PYTHON3_DEFAULT=$(subst .,,$(PYTHON3_DEFAULT_DOTTED))
+
+PYTHON_MAJOR_VER := 2
+PYTHON3_MAJOR_VER := 3
+
+# Standard directories, where dh_pythonX helper looking for Python modules.
+# Note: path is provided in debhelper format (without leading slash).
+PYTHON_DIST_PACKAGES_DIR = usr/lib/python$(PYTHON_DEFAULT_DOTTED)/dist-packages
+PYTHON3_DIST_PACKAGES_DIR = usr/lib/python3/dist-packages
 
 # Search in debian/control for packages with name $(1)% and extract % in list.
 list_pkgname_suffixes = $(strip \
@@ -111,6 +119,9 @@
 	# intermediate compiled files
 	find $(CURDIR) \
 		\! -path '$(CURDIR)/debian/*' \( -name '*.o' -o -name '*.pyc' \) -type f \
+		-delete
+	find $(CURDIR) \
+		\! -path '$(CURDIR)/debian/*' -name __pycache__ -type d \
 		-delete
 	# plugins
 	for PLUGIN_NAME in $(UWSGI_PLUGINS_NAMES); do \
@@ -224,11 +235,3 @@
 		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile; \
 	done
 	cp -r $(CURDIR)/vassals $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile
-	for FILE in utest.java; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/jwsgi; \
-	done
-	for FILE in config.ru config2.ru fibers.ru fibers.yml; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/rack; \
-	done
-	for FILE in router.lua uwsgirouter.py uwsgirouter2.py uwsgirouter3.py \
-	            uwsgirouter4.py uwsgirouter5.py; do \

=== debian/watch ===
version=3

# Upstream names tarball of:
# * beta as 'uwsgi-0.9.7-beta1.tar.gz'
# * RC as 'uwsgi-0.9.7-rc1.tar.gz'
# * release as 'uwsgi-0.9.7.tar.gz'
#
# uversionmangle recipe was found at
# http://lists.debian.org/debian-devel/2009/12/msg00503.html
opts="uversionmangle=s/-([a-z]+\d+)$/~$1/" \
  http://projects.unbit.it/downloads/uwsgi-(\d.+)\.tar\.gz debian uupdate

## uwsgi 0.9.8.3

=== debian/changelog ===
uwsgi (0.9.8.3-2) unstable; urgency=low

  [ Leonid Borisenko ]
  * uwsgi:
    - change location of runtime directory of uWSGI instance
      from: /run/uwsgi/<confname>
      to:   /run/uwsgi/app/<confname>
    - change location of uWSGI instance logfile
      from: /var/log/uwsgi/<confname>.log
      to:   /var/log/uwsgi/app/<confname>.log

  [ Janos Guljas ]
  * uwsgi-plugin-jwsgi-openjdk-6:
    - Change UWSGICONFIG_JVM_INCPATH and UWSGICONFIG_JVM_LIBPATH.
      (Closes: #640347)
    - update lintian-overrides binary-or-shlib-defines-rpath
      for new paths
  * Add myself as maintainer. Many thanks to Leonid Borisenko who did
    a great job of packaging and maintaining this package.

 -- Janos Guljas <janos@resenje.org>  Sun, 01 Jan 2012 21:01:34 +0100

uwsgi (0.9.8.3-1) unstable; urgency=low

  * New upstream version (0.9.8.3)
  * Install file CONTRIBUTORS into docs of all the packages
  * uwsgi:
    - move files with supplementary functions of init.d script from
      /usr/lib/uwsgi/init to /usr/share/uwsgi/init
    - move inherited configuration file from /usr/lib/uwsgi/conf to
      /usr/share/uwsgi/conf
  * uwsgi-core:
    - add new WSGI examples
  * uwsgi-plugin-luajit:
    - build package for armel architecture
  * uwsgi-plugin-python:
    - add Suggests: python-uwsgidecorators
  * uwsgi-plugin-python3:
    - add Suggests: python3-uwsgidecorators
  * python3-uwsgidecorators:
    - extend package description with note about possible improper work of
      uwsgidecorators module on Python 3;
      see http://lists.unbit.it/pipermail/uwsgi/2011-July/002355.html

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Tue, 26 Jul 2011 18:45:32 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: uwsgi
 Section: web
 Priority: extra
-Maintainer: Leonid Borisenko <leo.borisenko@gmail.com>
+Maintainer: Janos Guljas <janos@resenje.org>
 Build-Depends:
  cdbs,
  debhelper (>= 8),
@@ -14,7 +14,7 @@
  libjansson-dev,
  libldap2-dev,
  liblua5.1-0-dev,
- libluajit-5.1-dev [i386 amd64 kfreebsd-i386],
+ libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel],
  libperl-dev,
  libsqlite3-dev,
  libxml2-dev,
@@ -80,7 +80,7 @@
 Architecture: any
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: nginx-full | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
+Suggests: nginx-full | cherokee | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
  uwsgi-plugins-all, uwsgi-extra
 Description: fast, self-healing application container server (core)
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -155,7 +155,7 @@
  uwsgi-plugin-jvm-openjdk-6 (= ${binary:Version}),
  uwsgi-plugin-jwsgi-openjdk-6 (= ${binary:Version}),
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
- uwsgi-plugin-luajit (= ${binary:Version}) [i386 amd64 kfreebsd-i386],
+ uwsgi-plugin-luajit (= ${binary:Version}) [i386 amd64 kfreebsd-i386 armel],
  uwsgi-plugin-psgi (= ${binary:Version}),
  uwsgi-plugin-python (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -103,6 +103,8 @@
 $(foreach PLUGIN_PKG_NAME, $(UWSGI_PLUGIN_PKGS_NAMES), $(eval \
 	DEB_DH_STRIP_ARGS_uwsgi-plugin-$(PLUGIN_PKG_NAME) := --dbg-package=uwsgi-dbg\
 ))
+
+DEB_INSTALL_DOCS_ALL += $(DEB_SRCDIR)/CONTRIBUTORS
 
 # Rules
 # =====
@@ -234,4 +236,3 @@
 	            werkzeug_strict.yml werkzeug.js werkzeug.yml; do \
 		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile; \
 	done
-	cp -r $(CURDIR)/vassals $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile

## uwsgi 1.0.3+dfsg

=== debian/changelog ===
uwsgi (1.0.3+dfsg-1ubuntu0.1) precise-proposed; urgency=low

  * psgi-link-fix.patch:
    fix linking of psgi plugin with the perl libraries (LP: #1024528)

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 14 Jul 2012 18:21:33 +0200

uwsgi (1.0.3+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Adjust rack plugin LD_RUN_PATH patch.
  * Adjust patch for uWSGI Control Center jQuery links in templates.
  * Remove '-fno-strict-aliasing' CFLAG patch as it is implemented upstream.
  * Remove fix indentation of uwsgidecorators_py patch as implemented upstream.
  * Adjust init scripts to use top-bottom options order, as --inherit option
    is not working as in earlier versions. 
  * Update debian/copyright file.
  * Add LSB Description field to debian/uwsgi.init.d.
  * Set Architecture to "all" for binary package uwsgi-extra because
    it contains no architecture dependent files.
  * Change uwsgi description. (Closes: #640698)
  * New binary packages:
    - uwsgi-plugin-carbon
    - uwsgi-plugin-graylog2
    - uwsgi-plugin-logsocket
    - uwsgi-plugin-probeconnect
    - uwsgi-plugin-probepg
    - uwsgi-plugin-rrdtool
    - uwsgi-plugin-rsyslog
    - uwsgi-plugin-signal
    - uwsgi-plugin-symcall
    - uwsgi-plugin-syslog
  * python-uwsgidecorators:
    - fix binary-install rule to call dh_python2
    - remove debian/source.lintian-overrides
  * uwsgi-plugin-jvm-openjdk-6:
    - fix FTBFS on armel and powerpc (Closes: #656280)
  * uwsgi-plugin-python:
    - document issue "ImportError: No module named site" when using
      virtualenv with Python 2.6 in README.Debian (Closes: #654333)
  * Adjust debian/watch uversionmangle option.
  * Repack upstram source to remove minimized jQuery and jQuery UI JavaScript
    libraries:
    - add get-orig-source rule to debian/rules
    - append +dfsg to upstream version
    - update debian/watch with dversionmangle option

 -- Janos Guljas <janos@resenje.org>  Mon, 13 Feb 2012 03:43:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: uwsgi
 Section: web
 Priority: extra
-Maintainer: Janos Guljas <janos@resenje.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Janos Guljas <janos@resenje.org>
 Build-Depends:
  cdbs,
  debhelper (>= 8),
@@ -16,6 +17,7 @@
  liblua5.1-0-dev,
  libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel],
  libperl-dev,
+ libpq-dev,
  libsqlite3-dev,
  libxml2-dev,
  libyaml-dev,
@@ -57,7 +59,7 @@
  different plugins can be used in order to add compatibility with tons of
  different technology on top of the same core.
  .
- This package installs uWSGI core binary and:
+ This package depends on uWSGI core binary and installs:
    * init.d script for running uWSGI daemon(s) with options defined in custom
      user-created configuration files
    * infrastructure for running daemons (like common locations of communication
@@ -107,11 +109,16 @@
 Depends: ${misc:Depends},
  uwsgi-infrastructure-plugins (= ${binary:Version}),
  uwsgi-app-integration-plugins (= ${binary:Version}),
+ uwsgi-plugin-carbon (= ${binary:Version}),
  uwsgi-plugin-fiber (= ${binary:Version}),
  uwsgi-plugin-greenlet-python (= ${binary:Version})
    [amd64 i386 mips powerpc s390],
+ uwsgi-plugin-probeconnect (= ${binary:Version}),
+ uwsgi-plugin-probepg (= ${binary:Version}),
  uwsgi-plugin-pyerl-python (= ${binary:Version}),
  uwsgi-plugin-pyerl-python3 (= ${binary:Version}),
+ uwsgi-plugin-signal (= ${binary:Version}),
+ uwsgi-plugin-symcall (= ${binary:Version}),
  uwsgi-plugin-ugreen (= ${binary:Version})
 Description: all available plugins for uWSGI
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -124,7 +131,8 @@
    * infrastructure plugins (fastrouter, HTTP serving, RPC, etc.)
    * plugins for integration of uWSGI and application (CGI, PSGI, Rack, WSGI,
      etc.)
-   * fiber loop engine, greenlet (Python), pyerl (Python/Python 3), uGreen
+   * carbon, fiber loop engine, greenlet (Python), probeconnect, probepg,
+     pyerl (Python/Python 3), uGreen
 
 Package: uwsgi-infrastructure-plugins
 Architecture: any
@@ -133,10 +141,15 @@
  uwsgi-plugin-cache (= ${binary:Version}),
  uwsgi-plugin-echo (= ${binary:Version}),
  uwsgi-plugin-fastrouter (= ${binary:Version}),
+ uwsgi-plugin-graylog2 (= ${binary:Version}),
  uwsgi-plugin-http (= ${binary:Version}),
+ uwsgi-plugin-logsocket (= ${binary:Version}),
  uwsgi-plugin-nagios (= ${binary:Version}),
  uwsgi-plugin-ping (= ${binary:Version}),
- uwsgi-plugin-rpc (= ${binary:Version})
+ uwsgi-plugin-rpc (= ${binary:Version}),
+ uwsgi-plugin-rrdtool (= ${binary:Version}),
+ uwsgi-plugin-rsyslog (= ${binary:Version}),
+ uwsgi-plugin-syslog (= ${binary:Version})
 Description: infrastructure plugins for uWSGI
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
@@ -145,7 +158,8 @@
  the same core.
  .
  This dependency package provides infrastructure plugins for uWSGI:
-   * admin, cache, echo, fastrouter, HTTP serving, Nagios, ping, RPC
+   * admin, cache, echo, fastrouter, graylog2, HTTP serving, logsocket, Nagios,
+     ping, RPC, RRDTool, rsyslog, syslog
 
 Package: uwsgi-app-integration-plugins
 Architecture: any
@@ -198,6 +212,18 @@
  .
  This package provides cache plugin for uWSGI.
 
+Package: uwsgi-plugin-carbon
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
+Description: carbon plugin for uWSGI
+ uWSGI presents a complete stack for networked/clustered web applications,
+ implementing message/object passing, caching, RPC and process management.
+ It is designed to be fully modular. This means that different plugins can be
+ used in order to add compatibility with tons of different technology on top of
+ the same core.
+ .
+ This package provides carbon plugin for uWSGI.
+
 Package: uwsgi-plugin-cgi
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
@@ -254,29 +280,3 @@
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
  It is designed to be fully modular. This means that different plugins can be
- used in order to add compatibility with tons of different technology on top of
- the same core.
- .
- This package provides Ruby 1.9 fiber loop engine plugin for uWSGI. Fibers are
- a form of coroutine, useful for implementing cooperative multitasking in your
- Ruby 1.9.x apps.
-
-Package: uwsgi-plugin-greenlet-python
-Architecture: amd64 i386 mips powerpc s390
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet,
- uwsgi-plugin-python (= ${binary:Version})
-Description: greenlet plugin for uWSGI (Python)
- uWSGI presents a complete stack for networked/clustered web applications,
- implementing message/object passing, caching, RPC and process management.
- It is designed to be fully modular. This means that different plugins can be
- used in order to add compatibility with tons of different technology on top of
- the same core.
- .
- This package provides greenlet plugin for uWSGI with Python WSGI plugin.
-
-Package: uwsgi-plugin-http
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
-Description: HTTP server plugin for uWSGI
- uWSGI presents a complete stack for networked/clustered web applications,
- implementing message/object passing, caching, RPC and process management.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 APR_CONFIG=/usr/bin/apr-config
 APU_CONFIG=/usr/bin/apu-config
 UWSGI_BUILDER = $(CURDIR)/uwsgiconfig.py
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Dotted versions of Python runtimes (like 'X.Y').
 PYTHON_VERS_DOTTED=$(shell pyversions -vs)
@@ -234,5 +236,3 @@
 	done
 	for FILE in mega.xml multi.ini multi.xml sites.xml uwsgi.xml \
 	            werkzeug_strict.yml werkzeug.js werkzeug.yml; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile; \
-	done

## uwsgi 1.1.2+dfsg

=== Makefile ===
all:
	python uwsgiconfig.py --build

clean:
	python uwsgiconfig.py --clean

=== debian/changelog ===
uwsgi (1.1.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Fri, 30 Mar 2012 23:46:24 +0200

uwsgi (1.1.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #664890).
  * Add DM-Upload-Allowed control field.
  * Remove debian/patches/python-3.x-fix.patch as applied upstream.

 -- Janos Guljas <janos@resenje.org>  Thu, 22 Mar 2012 17:32:15 +0100

uwsgi (1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/uwsgi-files/init/specific_daemon
     - suppress stderr on do_start_specific_daemon()
  * debian/rules
     - adjust building python2x_plugin.so and python3x_plugin.so
  * Add debian/patches/python-3.x-fix.patch to fix regression introduced
    in 1.1 release.
  * Update debian/copyright Format value. 
  * Bump standards to 3.9.3.

 -- Janos Guljas <janos@resenje.org>  Sat, 17 Mar 2012 21:39:16 +0100

## uwsgi 1.2.3+dfsg

=== debian/changelog ===
uwsgi (1.2.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/uwsgi.init.d
     - Remove spurious no-op command in init script, thanks to
       Jean-Baptiste Quenot.
  * Use dh_python3 for python3-uwsgidecorators. (Closes: #672193)
  * debian/rules
     - Include Hardening options in CFLAGS, CPPFLAGS and LDFLAGS.

 -- Janos Guljas <janos@resenje.org>  Thu, 10 May 2012 17:14:22 +0200

uwsgi (1.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Mon, 30 Apr 2012 17:35:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: uwsgi
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Janos Guljas <janos@resenje.org>
+Maintainer: Janos Guljas <janos@resenje.org>
+DM-Upload-Allowed: yes
 Build-Depends:
  cdbs,
  debhelper (>= 8),
@@ -33,7 +33,7 @@
  ruby1.9.1,
  ruby1.9.1-dev,
  uuid-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: git://git.debian.org/collab-maint/uwsgi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/uwsgi.git
@@ -280,3 +280,6 @@
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
  It is designed to be fully modular. This means that different plugins can be
+ used in order to add compatibility with tons of different technology on top of
+ the same core.
+ .

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export CFLAGS+=$(shell dpkg-buildflags --get CPPFLAGS)
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 
 # Common variables
 # ================
@@ -232,7 +237,3 @@
 	for FILE in logo_uWSGI.png mongrel2-uwsgi.conf myadmin.py simple_logger.py \
 	            staticfilesnmp.py testsignals.py ugreenchat.py uwsgistatus.py \
 	            websockets.py welcome.py; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples; \
-	done
-	for FILE in mega.xml multi.ini multi.xml sites.xml uwsgi.xml \
-	            werkzeug_strict.yml werkzeug.js werkzeug.yml; do \
